summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>2000-01-07 14:47:02 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>2000-01-07 14:47:02 +0000
commit0ff37e686676453cfa6addb4ddfc71ada9e4c4dd (patch)
tree3fc6cce3c8bc312115a9849048d4502a1462f7a2
parent98c875a15b49a05149fd60a4057bba129deb3261 (diff)
downloadrtems-0ff37e686676453cfa6addb4ddfc71ada9e4c4dd.tar.bz2
Patch rtems-rc-20000104-0.diff from Ralf Corsepius <corsepiu@faw.uni-ulm.de>
which is described below: This one is a (minor) patch in preparation of the upcoming patches. It actually is an excerpt of the upcoming patches and therefore is completely untested in this standalone form, but I don't expect it to break something. The essential changes in this patch are: * An update to rtems-polish.sh (Now can also be run in subdirectories) * A bug-fix for the libcpu/powerpc (A directory was missing from SUBDIRS in a Makefile.am) * An update to gensh2.cfg. * Cleanups/Enhancements to configuration files To apply: cd <srcdir> patch -p0 < rtems-rc-20000104-0.diff cvs rm -f c/src/lib/libbsp/Makefile.am.new
-rw-r--r--aclocal/check-bsps.m42
-rw-r--r--automake/lib.am4
-rw-r--r--c/src/lib/libbsp/MERGE.PROCEDURE4
-rw-r--r--c/src/lib/libbsp/Makefile.am.new32
-rw-r--r--c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am2
-rw-r--r--make/custom/gensh2.cfg6
-rwxr-xr-xtools/update/rtems-polish.sh28
7 files changed, 29 insertions, 49 deletions
diff --git a/aclocal/check-bsps.m4 b/aclocal/check-bsps.m4
index 0a2c74e0a3..3e368db222 100644
--- a/aclocal/check-bsps.m4
+++ b/aclocal/check-bsps.m4
@@ -17,6 +17,8 @@ AC_MSG_CHECKING([for bsps])
READ*);;
CVS*);;
pxfl*);;
+ ac*);;
+ config*);;
# Now account for BSPs with build variants
gen68360) rtems_bsp="$rtems_bsp gen68360 gen68360_040";;
p4000) rtems_bsp="$rtems_bsp p4600 p4650";;
diff --git a/automake/lib.am b/automake/lib.am
index da5b33b5cc..8ee5289a07 100644
--- a/automake/lib.am
+++ b/automake/lib.am
@@ -10,9 +10,9 @@ $(AR) $(ARFLAGS) $@ $^
$(RANLIB) $@
endef
-TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib
-
$(PROJECT_RELEASE)/lib:
@$(mkinstalldirs) $@
+TMPINSTALL_FILES = $(PROJECT_RELEASE)/lib
+
.PRECIOUS: $(LIB)
diff --git a/c/src/lib/libbsp/MERGE.PROCEDURE b/c/src/lib/libbsp/MERGE.PROCEDURE
index 3eabe41f9b..5da81d8582 100644
--- a/c/src/lib/libbsp/MERGE.PROCEDURE
+++ b/c/src/lib/libbsp/MERGE.PROCEDURE
@@ -58,9 +58,9 @@ tool's configuration applies standard automake Makefile.ams and
configure.ins. RTEMS should contain enough examples which could serve as
templates for this (My advice: Try to avoid preinstallation and
installation to the temporary installation tree whenever possible; Don't
-forget to add all sources which do not get installed installed by automake
+forget to add all sources which do not get installed by automake
to automake's EXTRA_DIST, e.g. noinst_SCRIPTS, noinst_DATA have to be added
-to EXTRA_DIST).
+to EXTRA_DIST.
Please let me know if you meet problems and if we/I can fix them. I
consider acpolish to be an internal developer's and maintainer's helper
diff --git a/c/src/lib/libbsp/Makefile.am.new b/c/src/lib/libbsp/Makefile.am.new
deleted file mode 100644
index 2d234c1d42..0000000000
--- a/c/src/lib/libbsp/Makefile.am.new
+++ /dev/null
@@ -1,32 +0,0 @@
-#
-# $Id$
-#
-
-AUTOMAKE_OPTIONS = foreign 1.4
-ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal
-
-TMPINSTALL_FILES = \
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib \
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib/bsp_specs
-
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib:
- @$(mkinstalldirs) $@
-$(PROJECT_ROOT)/@RTEMS_BSP@/lib/bsp_specs: $(srcdir)/@RTEMS_BSP_SPECS@
- $(INSTALL_DATA) $< $@
-
-# shmdr is a portable shared memory MPCI layer
-# We only build it if HAS_MP was defined
-if HAS_MP
-MP_DRIVERS = shmdr
-endif
-
-# If we are building a "real" BSP, then we need to descend into the
-# appropriate CPU specific directory. The bare BSP is a special
-# case which can be built for any CPU and it resides at the same
-# level as the CPUs. If we are building the bare BSP, then descend
-# into that directory.
-
-SUBDIRS = $(MP_DRIVERS) @RTEMS_LIBBSP_CPU_SUBDIR@
-
-include $(top_srcdir)/../../../../automake/subdirs.am
-include $(top_srcdir)/../../../../automake/local.am
diff --git a/c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am b/c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am
index c7c894a6be..0cde1acc1e 100644
--- a/c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am
+++ b/c/src/lib/libcpu/powerpc/mpc6xx/Makefile.am
@@ -4,7 +4,7 @@
AUTOMAKE_OPTIONS = foreign 1.4
-SUBDIRS = exceptions mmu clock wrapup
+SUBDIRS = exceptions mmu clock timer wrapup
include $(top_srcdir)/../../../../../automake/subdirs.am
include $(top_srcdir)/../../../../../automake/local.am
diff --git a/make/custom/gensh2.cfg b/make/custom/gensh2.cfg
index 5308ed8205..8c2f8d87c8 100644
--- a/make/custom/gensh2.cfg
+++ b/make/custom/gensh2.cfg
@@ -82,10 +82,10 @@ endef
else
define make-exe
$(LINK.c) -Wl,-Map,$(basename $@).map \
- $(LDLIBS) -o $(basename $@).exe \
+ $(LDLIBS) -o $@ \
$(LINK_OBJS) -lstdc++ $(LINK_LIBS)
- $(NM) -n $(basename $@).exe > $(basename $@).num
- $(SIZE) $(basename $@).exe
+ $(NM) -n $@ > $(basename $@).num
+ $(SIZE) $@
endef
endif
diff --git a/tools/update/rtems-polish.sh b/tools/update/rtems-polish.sh
index 46c63b5aab..83e3d0e390 100755
--- a/tools/update/rtems-polish.sh
+++ b/tools/update/rtems-polish.sh
@@ -11,8 +11,14 @@
#
progname=`basename $0`
+rootdir=`dirname $0`
+
+# Get the absolute path to the perltools
+pwd=`pwd`
+cd $rootdir
+perltools=`pwd`
+cd $pwd
-perltools=tools/update
ac_do=""
am_do=""
ci_do=""
@@ -31,11 +37,15 @@ usage()
exit 1;
}
-if test ! -f VERSION; then
- echo "${progname}:"
- echo " Please change directory to RTEMS's toplevel directory"
- exit 1;
-fi
+# Check for auxillary files
+aux_files="../../VERSION ampolish acpolish cipolish"
+for i in ${aux_files}; do
+ if test ! -f ${perltools}/$i; then
+ echo "${progname}:"
+ echo " Missing $perltools/$i"
+ exit 1;
+ fi
+done
while test $# -gt 0; do
case $1 in
@@ -72,7 +82,7 @@ for f in $ac_files; do
echo "polishing : $dest/Makefile.in"
( cd $dest;
mv Makefile.in Makefile.in~;
- ${pwd}/${perltools}/acpolish <Makefile.in~ >Makefile.in
+ ${perltools}/acpolish <Makefile.in~ >Makefile.in
rm Makefile.in~
)
fi
@@ -87,7 +97,7 @@ for f in $am_files; do
echo "polishing : $dest/Makefile.am"
( cd $dest;
mv Makefile.am Makefile.am~;
- ${pwd}/${perltools}/ampolish <Makefile.am~ >Makefile.am
+ ${perltools}/ampolish <Makefile.am~ >Makefile.am
rm Makefile.am~
)
done
@@ -101,7 +111,7 @@ for f in $ci_files; do
echo "polishing : $dest/configure.in"
( cd $dest;
mv configure.in configure.in~;
- ${pwd}/${perltools}/cipolish <configure.in~ >configure.in
+ ${perltools}/cipolish <configure.in~ >configure.in
rm configure.in~
)
done